*************GETDATE.PRG****************************************************
*   CONVERT A DATE IN THE VARIABLE MDATE TO AN INTEGER OFFSET OF DAYS      *
*    FROM THE BASE OF JANUARY 1,1980  (does not consider leap years)       *
*   This routine assumes the date you wish converted is in the variable    *
*    MDATE is the form MM/DD/YY.  It returns the value of days offset      *
*    from January 1, 1980 in the variable ABSDAYS (absolute days)          *
*   This routine comes in handy for such things as aging receivalbes where *
*    invoices must be categorized as current, over30, over60, over90 etc   *
*    All you need do is get the date of each, call this routine, get the   *
*    current date, call this routine again, subtract and you have the age  *
*    of the invoice.                                                       *
****************************************************************************
*
SET TALK OFF
STORE 0 TO ABSDAYS
STORE (VAL($(MDATE,7,2))-80)*365 TO ABSDAYS
STORE ABSDAYS+VAL($(MDATE,4,2)) TO ABSDAYS
STORE VAL($(MDATE,1,2)) TO TEMP
DO CASE
  CASE TEMP=2
    STORE ABSDAYS+31 TO ABSDAYS
  CASE TEMP=3
    STORE ABSDAYS+59 TO ABSDAYS
  CASE TEMP=4
    STORE ABSDAYS+90 TO ABSDAYS
  CASE TEMP=5
    STORE ABSDAYS+120 TO ABSDAYS
  CASE TEMP=6
    STORE ABSDAYS+151 TO ABSDAYS
  CASE TEMP=7
    STORE ABSDAYS+181 TO ABSDAYS
  CASE TEMP=8
    STORE ABSDAYS+212 TO ABSDAYS
  CASE TEMP=9
    STORE ABSDAYS+243 TO ABSDAYS
  CASE TEMP=10
    STORE ABSDAYS+272 TO ABSDAYS
  CASE TEMP=11
    STORE ABSDAYS+304 TO ABSDAYS
  CASE TEMP=12
    STORE ABSDAYS+334 TO ABSDAYS
ENDCASE
RELEASE TEMP
SET TALK ON
RETURN
*
*************GETDATE.PRG****************************************************
*   CONVERT A DATE IN THE VARIABLE MDATE TO AN INTEGER OFFSET OF DAYS      *
*    FROM THE BASE OF JANUARY 1,1980  (does not consider leap years)       *
****************************************************************************
****************************************************************************
*

